<ion-app>
  <ion-header *ngIf="film"
  [ngStyle]="{'background-image': 'url(' + film.film_scene + ')'}">
    <ion-toolbar>
        <ion-buttons slot="start">
          <ion-back-button defaultHref="/tabs/tab1"></ion-back-button>
        </ion-buttons>
      </ion-toolbar>
  </ion-header>
  <ion-content>
    <ion-grid>
      <ion-grid>
        <ion-row class="row-film">
          <ion-col class="col-film" size="4">
            <img class="film-image" *ngIf="film" src="{{film.film_cover}}">
          </ion-col>

          <ion-col class="col-info" size="5">
            <section class="film-info">
              <ion-text><h1 *ngIf="film">{{film.title}}</h1></ion-text>
              <div class="rating">
                <ion-icon name="star" color="success"></ion-icon><ion-text color="success"><h2 *ngIf="film">{{film.film_rating}}</h2></ion-text>
              </div>
            </section>

            <section class="film-genres">
              <div class="genres-row1">
                <ion-chip color="secondary" *ngIf="film">{{film.genre}}</ion-chip>
              </div>
            </section>

            <section class="film-year-duration">
              <ion-text><h6 *ngIf="film">{{film.release_date}} • 98 mins</h6></ion-text>
            </section>
          </ion-col>

          <ion-col class="col-stats" size="3">
            <section class="stats-buttons">
              <ion-button color="success">
                <ion-col>
                  <ion-row>
                    <ion-icon name="eye"></ion-icon><p>50k</p>
                  </ion-row>

                  <ion-row>
                    Assistiram
                  </ion-row>
                </ion-col>
              </ion-button>

              <ion-button color="medium" (click)="go()">
                <ion-col>
                  <ion-row>
                    <ion-icon name="reader"></ion-icon><p>2.3k</p>
                  </ion-row>

                  <ion-row>
                    Reviews
                  </ion-row>
                </ion-col>
              </ion-button>

              <ion-button color="tertiary">
                <ion-col>
                  <ion-row>
                    <ion-icon name="albums"></ion-icon><p>4.3k</p>
                  </ion-row>

                  <ion-row>
                    Listas
                  </ion-row>
                </ion-col>
              </ion-button>
            </section>
          </ion-col>
        </ion-row>

        <ion-row class="row-resume">
          <ion-col class="film-resume">
            <p *ngIf="film">{{film.resume}}</p>
          </ion-col>
        </ion-row>

      </ion-grid>
      <div class="partition"></div>

      <ion-grid *ngIf="reviews">
        <ion-row class="row-review-text">
          <ion-col class="col-review-text">
            <p>Reviews</p>
          </ion-col>
        </ion-row>
        <div *ngFor="let review of reviews; let i = index">
          <app-user-review  [review]="review"></app-user-review>
          <div class="buttons" *ngIf="review && user">
            <app-edit-post *ngIf="review.user.id==user.id" routerLink="/edit-review/{{review.id}}"></app-edit-post>
            <app-delete-post (click)="deleteReview(review.id,i)" *ngIf="review.user.id==user.id || user.is_admin==1"></app-delete-post>
          </div>
        </div>
      </ion-grid>

    </ion-grid>
    <app-add (click)="go()"></app-add>
    <div class="aaaaaaa"></div>
  </ion-content>
</ion-app>
